Skip to main content
GET
/
api
/
analytics
/
team
/
snapshot
/
agent-distribution
Get team member distribution of open conversations
curl --request GET \
  --url https://api.vambe.me/api/analytics/team/snapshot/agent-distribution \
  --header 'x-api-key: <x-api-key>'
const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};

fetch('https://api.vambe.me/api/analytics/team/snapshot/agent-distribution', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.vambe.me/api/analytics/team/snapshot/agent-distribution"

headers = {"x-api-key": "<x-api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "agentDistribution": [
    {
      "agent_id": "agent-123",
      "agent_name": "John Doe",
      "count": 15,
      "averageWaitingTime": 1800000
    }
  ]
}

Headers

x-api-key
string
required

API key

Query Parameters

agentIds
string[]

Optional array of agent IDs to filter by specific agents

Example:
["agent-id-1", "agent-id-2"]
pipelineId
string

Optional pipeline ID to filter by specific pipeline

Example:

"pipeline-id-1"

stageIds
string[]

Optional array of stage IDs to filter by specific stages

Example:
["stage-id-1", "stage-id-2"]
hideArchived
boolean

Optional boolean to filter by archived conversations

Example:

true

hideUnassigned
boolean
required

Response

200 - application/json

Successfully retrieved agent distribution

agentDistribution
object[]